<?php

namespace App\Enums;

use App\Enums\Concerns\HasValues;

enum LetterStatus: string
{
    use HasValues;

    case Submitted = 'submitted';
    case InProcess = 'in_process';
    case Completed = 'completed';
    case Rejected = 'rejected';

    public function label(): string
    {
        return match ($this) {
            self::Submitted => 'Diajukan',
            self::InProcess => 'Diproses',
            self::Completed => 'Selesai',
            self::Rejected => 'Ditolak',
        };
    }
}
